org.apache.solr.client.solrj.io.ops

## Interface BooleanOperation

All Superinterfaces:
  Expressible, Serializable, StreamOperation

All Known Implementing Classes:
  AndOperation, EqualsOperation, GreaterThanEqualToOperation, GreaterThanOperation, LeafOperation, LessThanEqualToOperation, LessThanOperation, NotOperation, OrOperation

    public interface BooleanOperation
    extends StreamOperation

A BooleanOperation returns true or false for each tuple that it evaluates. The HavingStream applies a BooleanOperation to determine which tuples to emit.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `evaluate()`

### Methods inherited from interface org.apache.solr.client.solrj.io.ops.StreamOperation

`operate`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Method Detail

#### evaluate

    boolean evaluate()